al_get_display_mode(3)

NAME

al_get_display_mode - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_DISPLAY_MODE *al_get_display_mode(int index, ALLEGRO_DISPLAY_MODE *mode)

DESCRIPTION

Retrieves a fullscreen mode. Display parameters should not be changed between a call of al_get_num_display_modes(3) and al_get_display_mode(3). index must be between 0 and the number returned from al_get_num_display_modes-1. mode must be an allocated ALLEGRO_DISPLAY_MODE structure. This function will return NULL on failure, and the mode parameter that was passed in on success.

SEE ALSO

ALLEGRO_DISPLAY_MODE(3), al_get_num_display_modes(3)